Bug 622867 - Profiling of binaries does not work if Eclipse project is NOT in Eclipse workspace
Summary: Profiling of binaries does not work if Eclipse project is NOT in Eclipse work...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: eclipse-oprofile   
(Show other bugs)
Version: 6.1
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Jeff Johnston
QA Contact: qe-baseos-tools
URL:
Whiteboard:
Keywords:
Depends On: 670228
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-10 15:33 UTC by Severin Gehwolf
Modified: 2011-05-19 11:43 UTC (History)
5 users (show)

Fixed In Version: eclipse-oprofile-0.6.1-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 11:43:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch: Fix for this problem (2.43 KB, patch)
2010-08-10 15:33 UTC, Severin Gehwolf
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0568 normal SHIPPED_LIVE Low: eclipse security, bug fix, and enhancement update 2011-05-19 11:42:43 UTC
Eclipse Project 321905 None None None Never

Description Severin Gehwolf 2010-08-10 15:33:51 UTC
Created attachment 437927 [details]
Patch: Fix for this problem

Description of problem:

Profiling of binaries does not work if Eclipse project is NOT in Eclipse workspace. Profiling works fine if project is inside workspace.

Version-Release number of selected component (if applicable): 0.5.0

How reproducible: Always

Steps to Reproduce:
1. Create new project
2. Uncheck "Use default location"
3. Compile, try to profile binary
4. Eclipse shows "No profiling data is on the system" because wrong path to binary is used.

When looking at /root/.oprofile/daemonrc

$ grep IMAGE_FILTER /root/.oprofile/daemonrc
IMAGE_FILTER=/path/to/current/worspace/project_name/binary

But since it's an external project this path does not exist.
  
Actual results:
No profiling data is on the system

Expected results:
Results of profiling.

Additional info: Upstream bug-report: https://bugs.eclipse.org/bugs/show_bug.cgi?id=321905

Comment 2 RHEL Product and Program Management 2010-08-10 15:58:36 UTC
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **

Comment 3 Jeff Johnston 2011-01-14 21:14:27 UTC
eclipse-oprofile-0.6.1-1.el6 has been built.

Comment 14 errata-xmlrpc 2011-05-19 11:43:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0568.html


Note You need to log in before you can comment on or make changes to this bug.